<!DOCTYPE html>
<html lang="en">

<head>
    <title>Add Shopping List Item</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/css/materialize.min.css">

</head>

<body>
    <div class="container">
        <form>
            <div>
                <label>Enter Item</label>
                <input type="text" id="item" autofocus/>
            </div>
            <button class="btn waves-effect waves-light" type="submit">Add Item</button>
        </form>
    </div>

    <script>
        const electron = require('electron');
        //getting inter process comm module from electron
        const {
            ipcRenderer
        } = electron;

        const form = document.querySelector('form');
        form.addEventListener('submit', submitForm);

        function submitForm(e) {
            //Whenever we submit a form it gets submitted to a file. This have to be prevented.
            e.preventDefault();
            const item = document.querySelector('#item').value;
            ipcRenderer.send('item:add', item);
        }
    </script>
</body>

</html>